List all program applications
curl --request GET \
--url https://api.dub.co/program-applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dub.co/program-applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dub.co/program-applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"createdAt": "<string>",
"partner": {
"id": "<string>",
"name": "<string>",
"companyName": "<string>",
"email": "<string>",
"image": "<string>",
"country": "<string>",
"status": "pending",
"networkStatus": "draft",
"defaultPayoutMethod": "connect",
"payoutsEnabledAt": "<string>",
"description": "<string>",
"groupId": "<string>",
"website": "<string>",
"youtube": "<string>",
"twitter": "<string>",
"linkedin": "<string>",
"instagram": "<string>",
"tiktok": "<string>",
"platforms": [
{
"type": "website",
"identifier": "<string>",
"verifiedAt": "<string>"
}
]
},
"applicationFormData": [
{
"label": "<string>",
"value": "<string>"
}
]
}
]{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#internal-server_error"
}
}Program applications
List all program applications
Retrieve a paginated list of applications for your partner program. Filter by status to list pending, approved, or rejected applications.
GET
/
program-applications
List all program applications
Authorizations
Default authentication mechanism
Query Parameters
A filter on the list based on the partner's country field.
Example:
"US"
A filter on the list based on the partner's groupId field.
Example:
"grp_123"
The sort order. The default is desc.
Available options:
asc, desc Example:
"desc"
Filter applications by name, email, or company name. Partial matches are supported. An exact partner ID is also matched.
Filter applications by status. One of pending, approved, or rejected. Defaults to pending.
Available options:
pending, approved, rejected The page number for pagination. The first page is 1.
Required range:
x <= 9007199254740991Example:
1
The number of items per page.
Required range:
x <= 100Example:
50
Was this page helpful?